package com.bgg.sfix;

import android.app.Activity;
import android.content.Context;
import android.graphics.Typeface;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

public class Graphic {
	public static void setdefaultFont(Activity activity,int id,Context context){
		Typeface font = Typeface.createFromAsset(context.getAssets(), "Bayer-Paragraph.ttf");
		View rootView = activity.findViewById(id);
		applyCustomFont((ViewGroup)rootView, font);
        }
    
    public static void applyCustomFont(ViewGroup rootView, Typeface font) {
    for (int i = 0; i < rootView.getChildCount(); i++) {
        View view = rootView.getChildAt(i);
        if (view instanceof ViewGroup) {
            applyCustomFont((ViewGroup) view, font);
        } else if (view instanceof TextView) {
            ((TextView) view).setTypeface(font);
        }
    }
   }
}
