package com.bgg.sfix;

import android.os.Bundle;
import android.preference.PreferenceManager;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

public class MainActivity extends Activity {
	private final Context context = this;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_main);
        Graphic.setdefaultFont(this,android.R.id.content,getBaseContext());
        //inizializza opzioni
        PreferenceManager.setDefaultValues(this, R.layout.activity_option, false);

        //automatic fix
        Button next = (Button) findViewById(R.id.automatic);
        next.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	//avvia automatic fix
            	Intent intent = new Intent(getApplicationContext(), ProgressActivity.class);
                startActivity(intent);
            }
        });
    }
    
  
    //creazione menu tasto opzioni
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
    	MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.main, menu);
        return true;
    }
    
  //funzionalit dei tasti del menu opzioni
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle item selection
        switch (item.getItemId()) {
            case R.id.menu_about:
            	CreditsDialog cd=new CreditsDialog(context);
            	cd.dismiss();
                return true;
                
            case R.id.menu_settings:
            	Intent i = new Intent(this, OptionActivity.class);
            	startActivity(i);
            	return true;
            	
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    
}
