package com.bgg.sfix;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.Preference;
import android.preference.PreferenceActivity;
import android.widget.Toast;

public class OptionActivity extends PreferenceActivity {
	private final Context context = this;
    
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		addPreferencesFromResource(R.layout.activity_option);
		
		Preference sfoglia = (Preference) findPreference("sfoglia");
		//sfoglia.setDefaultValue(Environment.getExternalStorageDirectory().getAbsolutePath());
		//sfoglia.setSummary(Environment.getExternalStorageDirectory().getAbsolutePath());
        sfoglia.setOnPreferenceClickListener(new Preference.OnPreferenceClickListener() {
			
			@Override
			public boolean onPreferenceClick(final Preference p) {
				// Crea directory ChooserDialog 
            	ChooserDialog cd=new ChooserDialog(context,new ChooserDialog.ChosenDirectoryListener(){
            	//cosa fa al ritorno dopo aver selezionato la cartella
            	@Override
                public void onChosenDir(String chosenDir){
                	p.setSummary(chosenDir);
                    Toast.makeText(context, "Chosen directory: "+chosenDir, Toast.LENGTH_LONG).show();
                    
                    SharedPreferences customSharedPreference = getSharedPreferences("sfoglia", Activity.MODE_PRIVATE);
                    SharedPreferences.Editor editor = customSharedPreference.edit();
                    editor.putString("sfoglia", chosenDir);
                    editor.commit();
                }
            	});
            	cd.dismiss();
				return false;
			}
		});
	}
}
