package com.bgg.sfix;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;

public class SplashActivity extends Activity {
	 private static String TAG = SplashActivity.class.getName();
	 private static long SLEEP_TIME = 3;    // Sleep per del tempo
	 
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		
        setContentView(R.layout.activity_splash);		
        Graphic.setdefaultFont(this,android.R.id.content,getBaseContext());
        
		// Avvia timer e fai partire MainActivity
	    IntentLauncher launcher = new IntentLauncher();
	    launcher.start();
	}
	private class IntentLauncher extends Thread {
	      @Override
	      /**
	       * Aspetta del tempo e fai partire la nuova activity
	       */
	      public void run() {
	         try {
	            // Sleep
	            Thread.sleep(SLEEP_TIME*1000);
	         } catch (Exception e) {
	            Log.e(TAG, e.getMessage());
	         }
	 
	         // Start MainActivity
	         Intent intent = new Intent(SplashActivity.this, MainActivity.class);
	         SplashActivity.this.startActivity(intent);
	         SplashActivity.this.finish();
	      }
	   }
}
